Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.xquery
Class OrderSpec

    java.lang.Object
      org.exist.xquery.OrderSpec

public class OrderSpec
extends java.lang.Object

An XQuery order specifier as specified in an "order by" clause.

Author:
  wolf

Field Summary
`static int` | `ASCENDING_ORDER`
`static int` | `DESCENDING_ORDER`
`static int` | `EMPTY_GREATEST`
`static int` | `EMPTY_LEAST`

Constructor Summary
`OrderSpec(XQueryContext context, Expression sortExpr)`

Method Summary
`void` | `analyze(AnalyzeContextInfo contextInfo)`
`java.text.Collator` | `getCollator()`
`int` | `getModifiers()`
`Expression` | `getSortExpression()`
`void` | `resetState()`
`void` | `setCollation(java.lang.String collationURI)`
`void` | `setModifiers(int modifiers)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ASCENDING_ORDER

    public static final int ASCENDING_ORDER

See Also:
  Constant Field Values

### DESCENDING_ORDER

    public static final int DESCENDING_ORDER

See Also:
  Constant Field Values

### EMPTY_GREATEST

    public static final int EMPTY_GREATEST

See Also:
  Constant Field Values

### EMPTY_LEAST

    public static final int EMPTY_LEAST

See Also:
  Constant Field Values

Constructor Detail

### OrderSpec

    public OrderSpec(XQueryContext context,
                     Expression sortExpr)

Method Detail

### analyze

    public void analyze(AnalyzeContextInfo contextInfo)
                 throws XPathException

  Throws:
    `XPathException`

### setModifiers

    public void setModifiers(int modifiers)

### setCollation

    public void setCollation(java.lang.String collationURI)
                      throws XPathException

  Throws:
    `XPathException`

### getSortExpression

    public Expression getSortExpression()

### getModifiers

    public int getModifiers()

### getCollator

    public java.text.Collator getCollator()

### toString

    public java.lang.String toString()

### resetState

    public void resetState()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.